#
# spec file for package python-pydata-google-auth
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-pydata-google-auth
Version:        1.1.0
Release:        1.9
Summary:        PyData helpers for authenticating to Google APIs
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/pydata/pydata-google-auth
Source:         https://github.com/pydata/pydata-google-auth/archive/%{version}.tar.gz#/pydata-google-auth-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module google-auth-oauthlib}
BuildRequires:  %{python_module google-auth}
BuildRequires:  %{python_module pyfakefs}
BuildRequires:  %{python_module pytest}
%if %{with python2}
BuildRequires:  python-mock
%endif
# /SECTION
Requires:       python-google-auth
Requires:       python-google-auth-oauthlib
BuildArch:      noarch

%python_subpackages

%description
PyData-Google-Auth is a package providing helpers for authenticating
to Google APIs.

%prep
%setup -q -n pydata-google-auth-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest tests/unit

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Mon Jul 13 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 1.1.0
  * Try a range of ports between 8080 and 8090 when ``use_local_webserver`` is
    ``True``. (:issue:`35`)
  * Mark package as 1.0, generally available.
  * Update introduction with link to instructions on creating a Google Cloud
    project. (:issue:`18`)
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Mon Feb 10 2020 Todd R <toddrme2178@gmail.com>
- Update to 0.3.0
  * Add python -m pydata_google_auth CLI for working with user credentials
* Thu Jan 30 2020 Todd R <toddrme2178@gmail.com>
- Update to 0.2.1
  * Re-enable ``auth_local_webserver`` in ``default`` method. Show warning,
    rather than fallback to console.
- Update to 0.2.0
  + Deprecations
  * **Deprecate** ``auth_local_webserver`` argument in favor of
    ``use_local_webserver`` argument
  + New Features
  * Adds :func:`pydata_google_auth.save_user_credentials` function to get user
    credentials and then save them to a specified JSON path.
  + Bug Fixes
  * Update OAuth2 token endpoint to latest URI from Google.
  * Don't raise error when the ``APPDATA`` environment variable isn't set on
    Windows.
* Mon Jul 22 2019 Todd R <toddrme2178@gmail.com>
- Initial version
